Package org.jfree.layouting.input.style

## Class StyleKey

- java.lang.Object
- - org.jfree.layouting.input.style.StyleKey

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public final class StyleKey
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Creation-Date: 26.10.2005, 14:05:23
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `All_ELEMENTS` |
    `static int` | `ALWAYS` |
    `static int` | `BLOCK_ELEMENTS` |
    `static int` | `COUNTERS` |
    `static int` | `DOM_ELEMENTS` |
    `static int` | `FOOTNOTE_AREA` |
    `int` | `index` | The index is implicitly defined when the key is registered.
    `static int` | `INLINE_ELEMENTS` |
    `static int` | `MARGINS` |
    `static int` | `PAGE_CONTEXT` |
    `static int` | `PSEUDO_AFTER` |
    `static int` | `PSEUDO_ALTERNATE` |
    `static int` | `PSEUDO_BEFORE` |
    `static int` | `PSEUDO_FIRST_LETTER` |
    `static int` | `PSEUDO_FIRST_LINE` |
    `static int` | `PSEUDO_LINEMARKER` |
    `static int` | `PSEUDO_MARKER` |
    `static int` | `PSEUDO_OTHER` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StyleKey​(java.lang.String name, boolean trans, boolean inherited, int index, int validity)` | Creates a new style key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `boolean` | `equals​(java.lang.Object o)` | Indicates whether some other object is "equal to" this one.
    `int` | `getIndex​()` |
    `java.lang.String` | `getName​()` | Returns the name of the key.
    `int` | `hashCode​()` | Returns a hash code value for the object.
    `boolean` | `isInherited​()` |
    `boolean` | `isTransient​()` | Checks, whether this stylekey denotes a temporary computation result.
    `boolean` | `isValidOn​(int mask)` |
    `java.lang.String` | `toString​()` | Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALWAYS

          public static final int ALWAYS

      See Also:
        Constant Field Values

    - #### INLINE_ELEMENTS

          public static final int INLINE_ELEMENTS

      See Also:
        Constant Field Values

    - #### BLOCK_ELEMENTS

          public static final int BLOCK_ELEMENTS

      See Also:
        Constant Field Values

    - #### DOM_ELEMENTS

          public static final int DOM_ELEMENTS

      See Also:
        Constant Field Values

    - #### All_ELEMENTS

          public static final int All_ELEMENTS

      See Also:
        Constant Field Values

    - #### PSEUDO_BEFORE

          public static final int PSEUDO_BEFORE

      See Also:
        Constant Field Values

    - #### PSEUDO_AFTER

          public static final int PSEUDO_AFTER

      See Also:
        Constant Field Values

    - #### PSEUDO_ALTERNATE

          public static final int PSEUDO_ALTERNATE

      See Also:
        Constant Field Values

    - #### PSEUDO_MARKER

          public static final int PSEUDO_MARKER

      See Also:
        Constant Field Values

    - #### PSEUDO_LINEMARKER

          public static final int PSEUDO_LINEMARKER

      See Also:
        Constant Field Values

    - #### PSEUDO_FIRST_LETTER

          public static final int PSEUDO_FIRST_LETTER

      See Also:
        Constant Field Values

    - #### PSEUDO_FIRST_LINE

          public static final int PSEUDO_FIRST_LINE

      See Also:
        Constant Field Values

    - #### PSEUDO_OTHER

          public static final int PSEUDO_OTHER

      See Also:
        Constant Field Values

    - #### MARGINS

          public static final int MARGINS

      See Also:
        Constant Field Values

    - #### FOOTNOTE_AREA

          public static final int FOOTNOTE_AREA

      See Also:
        Constant Field Values

    - #### PAGE_CONTEXT

          public static final int PAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### COUNTERS

          public static final int COUNTERS

      See Also:
        Constant Field Values

    - #### index

          public final int index

      The index is implicitly defined when the key is registered. Do not rely on that index for long term persitence.

  - ### Constructor Detail

    - #### StyleKey

          protected StyleKey​(java.lang.String name,
                             boolean trans,
                             boolean inherited,
                             int index,
                             int validity)

      Creates a new style key.
      Parameters:
        `name` - the name (never null).

  - ### Method Detail

    - #### getName

          public java.lang.String getName​()

      Returns the name of the key.
      Returns:
        the name.

    - #### getIndex

          public int getIndex​()

    - #### isValidOn

          public boolean isValidOn​(int mask)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the reference object with which to compare.
      Returns:
        `true` if this object is the same as the obj argument; `false` otherwise.

    - #### isInherited

          public boolean isInherited​()

    - #### hashCode

          public int hashCode​()

      Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a hash code value for this object.

    - #### isTransient

          public boolean isTransient​()

      Checks, whether this stylekey denotes a temporary computation result.
      Returns:
        true, if the key is transient, false otherwise.

    - #### toString

          public java.lang.String toString​()

      Returns a string representation of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the object.

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`